Subject: [bug#47086] [PATCH] gnu: tig: Update to 2.5.3.

From: "jgart" <[email-masked]>
Date: Fri, 12 Mar 2021 13:47:20 +0000

Hi zimoun,

Thank you for your interest.

> I still think it is a bad idea that LibreMiami holds the Copyright instead of people who effectively did the
> work. That’s my point of view.

I respect your point of view. We attribute everyone involved in the packaging effort during any given packaging session.

We include a "Co-authored-by: ..." tag in all the commit messages for those involved.

All parties involved are aware of this and also decide whether they want to be included in the commit message or not. Some also prefer anonymity and no copyright claim. We even have a pre-meetup questionnaire that helps facilitate this. 

If you come to one of our meetups and prefer to add your own copyright to the top of the file instead of adding it as a group that is fine by us also. We have a field in the pre-meetup questionnaire where people can indicate what they prefer. 

When I work on a contribution alone I commit with my own name but when I work with LibreMiami I prefer to commit under that entity and include the "Co-authored-by" tag. 

We prefer to commit/work together as a group and that is a convenience for us. LibreMiami just wants to act as a steward of free software and we see guix packaging as a way of realizing that common goal. We'd like to onboard as many guix packagers as possible. We believe persons from all walks of life can update and package software given a bit of practice and orientation. Guix's transparency as a community/technology is a perfect vehical for this cause. 

I hope this clarified things. Feel free to ask more questions and/or chat with us at libremiami:matrix.org.

There is also an xmpp bridge if you prefer xmpp: [email-masked]

> This is really cool! Great initiative. Maybe I will show up. :-)

Thank you! Yes, stop by. We'd love to have you. I will be announcing the next guix packaging meetup soon on guix-devel.

> If I read correctly, this commit a2ece4 does not lead to a Copyright
> assignment. So it’s fine. Even, I find really cool that 6 people
> co-authored a patch during a meetup.

I think it is cool also.

all the best,

jgart

libremiami.org
search.libremiami.org
mumble.libremiami.org
stream.libremiami.org

March 12, 2021 7:32 AM, "zimoun" <[email-masked]> wrote:

> Hi,
> 
> On Fri, 12 Mar 2021 at 11:42, "jgart" <[email-masked]> wrote:
> 
>>> Is LibreMiami a person or a «juridical person»?
>> 
>> Yes, LibreMiami is a juridical person. We are a legal entity that
>> commits and works on packaging software together.
> 
> Thanks for the clarification. I still think it is a bad idea that
> LibreMiami holds the Copyright instead of people who effectively did the
> work. That’s my point of view.
> 
>>> It is also the case for 387cac30bc4161055aba0c51e798a440f44592c2 adding
>>> the package ’t’ (then renamed) and ...
>> 
>> #46969 and go-github-com-operatorfoundation-ed25519
>> (a2ece4da1fdccb9e94681e38a3f3a79b0d43e061) are other examples too.
> 
> If I read correctly, this commit a2ece4 does not lead to a Copyright
> assignment. So it’s fine. Even, I find really cool that 6 people
> co-authored a patch during a meetup.
> 
>> We host a package meetup every month. If you're available, we'd love
>> to meet you and work on something together, also.
> 
> This is really cool! Great initiative. Maybe I will show up. :-)
> 
> My point is just about the holder of the Copyright. Concretely, to be
> correct legally speaking, IIUC, the co-authors (of the 2 commits and
> this patch) signed a copyright transfer to the LibreMiami entity.
> Otherwise, the copyright does not belong to LibreMiami.
> 
> Cheers,
> simon